Subject: Re: setup snapshot?
From: "Max Bowsher" <[email-masked]>
To: "Ronald Landheer-Cieslak" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 13 Mar 2003 14:01:26 -0000

Ronald Landheer-Cieslak wrote:
> On Thu, 13 Mar 2003, Max Bowsher wrote:
>> Ronald Landheer-Cieslak wrote:
>>> I've just run the Setup snapshot on a fresh NT/4 machine
>>> $ uname --all
>>> CYGWIN_NT-4.0 nt4-rlandheer 1.3.21(0.77/3/2) 2003-03-12 00:24 i686
>>> unknown unknown Cygwin
>>> During the post-install scripts, I got an error # 2453 from
>>> mkpasswd.
>>
>> Yes, base-passwd 1.0 was broken, but the problem was masked because
>> old setup used to re-create passwd-grp.sh from internal data.
>>
>> base-passwd 1.1 is now on the mirrors.
>>
>>> The result is:
>>> $ id
>>> uid=400(RLandheer) gid=401(mkpasswd) groups=401(mkpasswd)
>>> and
>>> $ echo $HOME
>>> /cygdrive/c/users/default
>>> $ cat passwd
>>> SYSTEM:*:18:544:,S-1-5-18::
>>> Administrateurs:*:544:544:,S-1-5-32-544::
>>> $ cat group
>>> SYSTEM:S-1-5-18:18:
>>>
>>> running mkpasswd from the command-line reproduces the error when run
>>> with the -d option (but works nicely with -l or -g
>>>
>>> $ mkgroup -d
>>> SYSTEM:S-1-5-18:18:
>>> Cannot get PDC, code = 2453
>>
>> You forgot to mention - are you in a domain?
> I don't know.
> I'm on a Novell network - that's all I do know.
> Any way I might be able to find out? (I do have administrator
> priviledges).

From what little I know of Novell networks, I think the answer is "no, not
in a domain". In which case, it's expected that mkpasswd -d will fail,
although, admittedly, it didn't do it very gracefully.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/